WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000400WeBidAdmin Control Panelpublic2013-05-22 19:192016-04-25 08:47
ReporterYiannis 
Assigned Torenlok 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.6 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000400: Sorting problem
DescriptionHello,



There are two problems in 1.0.6 version as far as sorting goes.

1) In the Administration Back End at the Statistics screen the dates are sorted wrong. For example they start from 1-01-2013 then to 10-..., 11-...,19-... and then 2-01-2013, 20-01-..., 21-01-... etc.



2) At the Categories table in Admin and in the site since the program does not sort above ascii 128, (it should sort to 256 for foreign languages that do not use Latin characters), as You will see in the pics i used numbers in front of the category name in order to sort them correctly but the same problem happens with numbers like in the stats. They go from "1. Product X" and immediately after it displays product "10 . Product xx" etc.



I believe that an appropriate sort routine should be implemented that sorts correctly the numbers and characters and go up to ascii 256 so there will be no problems sorting in other languages.



For Your better understanding of this very serious problem You are welcomed to visit my WeBid site (under development) http://atbay.athensnet.gr" [^" title="]]http://atbay.athensnet.gr[/URL]. [^] You may switch languages by the Flags if You want to.

 



Best Regards

Yiannis
TagsNo tags attached.
import_id430
Thread
Attached Filesjpg file icon Categories_sort_problem.jpg [^] (61,884 bytes) 2015-04-01 17:11


jpg file icon Categories2_sort_problem.jpg [^] (54,841 bytes) 2015-04-01 17:11


jpg file icon Categories3_sort_problem.jpg [^] (42,244 bytes) 2015-04-01 17:12


jpg file icon Stats_sort_problem.jpg [^] (50,508 bytes) 2015-04-01 17:12

- Relationships

-  Notes
(0001365)
renlok (administrator)
2015-06-28 20:59

Issue one is fixed

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 430
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2013-05-22 19:19
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2013-05-22 19:19
2015-06-28 20:59 renlok Note Added: 0001365
2016-03-29 13:01 renlok Assigned To => renlok
2016-03-29 13:01 renlok Status new => assigned
2016-04-24 14:16 renlok Target Version => 1.2.0
2016-04-25 08:47 renlok Status assigned => resolved
2016-04-25 08:47 renlok Fixed in Version => 1.2.0
2016-04-25 08:47 renlok Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker